
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 物流订单项信息
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
public class DeliveryOrderItem extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long deliveryOrderItemId;

    /**
     * 订单物流包裹id
     */
    private Long deliveryOrderId;

    /**
     * 商品图片
     */
    private String imgUrl;

    /**
     * 商品名称
     */
    private String spuName;

    /**
     * 商品数量
     */
    private Integer count;

    /**
     * 商品图片
     */
    private String supplierImgUrl;

    /**
     * 商品名称
     */
    private String supplierSpuName;

    public String getSupplierImgUrl() {
        return supplierImgUrl;
    }

    public void setSupplierImgUrl(String supplierImgUrl) {
        this.supplierImgUrl = supplierImgUrl;
    }

    public String getSupplierSpuName() {
        return supplierSpuName;
    }

    public void setSupplierSpuName(String supplierSpuName) {
        this.supplierSpuName = supplierSpuName;
    }

    public Long getDeliveryOrderItemId() {
        return deliveryOrderItemId;
    }

    public void setDeliveryOrderItemId(Long deliveryOrderItemId) {
        this.deliveryOrderItemId = deliveryOrderItemId;
    }

    public Long getDeliveryOrderId() {
        return deliveryOrderId;
    }

    public void setDeliveryOrderId(Long deliveryOrderId) {
        this.deliveryOrderId = deliveryOrderId;
    }

    public String getImgUrl() {
        return imgUrl;
    }

    public void setImgUrl(String imgUrl) {
        this.imgUrl = imgUrl;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return "DeliveryOrderItem{" +
                "deliveryOrderItemId=" + deliveryOrderItemId +
                ", deliveryOrderId=" + deliveryOrderId +
                ", imgUrl='" + imgUrl + '\'' +
                ", spuName='" + spuName + '\'' +
                ", count=" + count +
                ", supplierImgUrl='" + supplierImgUrl + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                '}';
    }
}
